package test.com.philisense.www.controller.http.app;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestProResourceActionControllerWithHttpClientForApp  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testProResourceActionDeleteByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProResourceActionSelectByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProResourceActionInsertForApp(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testProResourceActionUpdateForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProResourceActionDeleteByMapForApp(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testProResourceActionUpdateByMapForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProResourceActionGetOneForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProResourceActionGetAllForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProResourceActionCountForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProResourceActionQueryPageForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProResourceActionInsertBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();



                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testProResourceActionDeleteBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProResourceActionUpdateBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("id","id");//记录Id
                params.put("name","name");//操作名称
                params.put("enname","enname");//英文名称
                params.put("handler","handler");//操作方法
                params.put("icon","icon");//图标
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                params.put("parentid","parentid");//上级id
                params.put("create_time",new Date());//创建日期
                params.put("menuid","menuid");//菜单id
                params.put("htmlid","htmlid");//html页面Id
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForProResourceActionForApp() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProResourceAction.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForProResourceActionForApp() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProResourceAction.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForProResourceActionForApp()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.APP_REST_SERVICE_PREFICX+"proresourceaction/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_ProResourceAction.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
